CK_BITMAP_BASE(3)

NAME
ck_bitmap_base - determine the size of a bit array in bytes

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
unsigned int
ck_bitmap_base(unsigned int n_bits);

DESCRIPTION
The ck_bitmap_base() function returns the number of bytes that would be used to store the number of bits specified by n_bits.

RETURN VALUES
This function returns a non-zero value that is guaranteed to be a multiple of sizeof(CK_BITMAP_WORD).

SEE ALSO
ck_bitmap_size(3), ck_bitmap_init(3), ck_bitmap_set(3), ck_bitmap_reset(3), ck_bitmap_test(3), ck_bitmap_clear(3), ck_bitmap_bits(3), ck_bitmap_buffer(3)

Additional information available at http://concurrencykit.org/